# PerspectiveTransformation Class Reference

List of all members.

## Public Member Functions
| PerspectiveTransformation ()
| Constructor.
virtual | ~PerspectiveTransformation ()
| Destructor.
virtual void | handleNotification (Field *field)
| Handle field changes of the field field.
virtual void | activateAttachments ()
| Update internal module state after load or clone and enable notification handling again.
## Protected Member Functions
virtual void | transform (const mat4 &matrix)
MatrixField & | getMatrixFld () const
NotifyField & | getApplyFld () const
BoolField & | getListenToFinishingNotificationsFld () const
BoolField & | getListenToSelectionNotificationsFld () const
BoolField & | getUseCreatorFld () const
IntField & | getCreatorIdFld () const
StringField & | getTargetGroupFld () const
BoolField & | getAutoApplyFld () const
EnumField & | getUpdateModeFld () const

## Detailed Description

Definition at line 62 of file mlPerspectiveTransformation.h.

## Constructor & Destructor Documentation

PerspectiveTransformation::PerspectiveTransformation | ( |  | ) |

Constructor.

Get reference to the container for parameters/fields.

Add fields to the module and set their values.

Definition at line 58 of file mlPerspectiveTransformation.cpp.

## Member Function Documentation

void PerspectiveTransformation::activateAttachments | ( |  | ) | `[virtual]`

Update internal module state after load or clone and enable notification handling again.

Update members to new field state here. Call super class functionality to enable notification handling again.

Definition at line 257 of file mlPerspectiveTransformation.cpp.

void PerspectiveTransformation::handleNotification | ( | Field * | field | ) | `[virtual]`

Handle field changes of the field field.

if auto Update mode is on, we handle all events

apply the changes

Handle changes of module parameters and connectors here.

Definition at line 220 of file mlPerspectiveTransformation.cpp.

void PerspectiveTransformation::transform | ( | const mat4 & | matrix | ) | `[protected, virtual]`

This method use perspective transformation matrix to do the tranformation on inputCSOList It copies the inputList, then for each point on the path of the copied list, 1 was added to the world coordinate of each point and do multiplication with the input(4*4) matrix. The result will be devided by the last component to get the vect of 3 component representing x, y and z coordinates, and then divided by the 3rd component to get the vector of 2, which represents the x and y coordinates for each point. The result is put to outListFld.

This method use perspective transformation matrix to do the tranformation on inputCSOList The result is put to outListFld.

if inputList is NULL, we donot need to go further

always copy the inputList into outList

add group to the outputCSO list

add creatorID to the output CSO List

Definition at line 165 of file mlPerspectiveTransformation.cpp.

The documentation for this class was generated from the following files:

- C:/AngioLocalizeNoAuto/MevisLabNoAutoReg/STUMevisApp/Angiolocalize/Sources/ML/STUPerspectiveTransformation/mlPerspectiveTransformation.h
- C:/AngioLocalizeNoAuto/MevisLabNoAutoReg/STUMevisApp/Angiolocalize/Sources/ML/STUPerspectiveTransformation/mlPerspectiveTransformation.cpp

All Classes Namespaces Files Functions Variables Enumerator Friends